# Summary

(Jelaskan bug yang sedang dihadapi, misal menu X tidak bisa diakses, saat klik tombol Submit di modul Y tidak berjalan dsb.)

# Steps to Reproduce

(Jelaskan langkah yang sudah di lakukan untuk melakukan pengecekan)

1. 
2. 
3. 

# Logs and Screenshots

(Lampirkan disini log atau screenshot yang mendukung bug ini.)

# Expected Behavior

(Jelaskan disini apa yang diharapkan seharusnya terjadi, misal menu X bisa diakses, saat klik tombol Submit di modul Y berjalan sukses dsb.)

# Code Review

## COR1

* [ ] COR1 - Code Standard - **MANDATORY**
* [ ] COR2 - Hardcoded Variable - **MANDATORY**
* ~~COR3 - Input Sanitation and Validation - OPTIONAL~~
* ~~COR4 - Variable Casting - OPTIONAL~~
* ~~COR5 - Session Security - OPTIONAL~~
* ~~COR6 - Error Handling - OPTIONAL~~
* ~~COR7 - Strong Password - OPTIONAL~~
* [ ] COR8 - Standard SQL Builder - **MANDATORY**
* ~~COR9 - Input and Output Encryption - OPTIONAL~~
* ~~COR10 - Logging Critical Transaction - OPTIONAL~~
* ~~COR11 - Captcha And One Time Password - OPTIONAL~~
* ~~COR12 - Critical Input Always From Backend - OPTIONAL~~
* [ ] CoR13 - Suitable Logic - OPTIONAL
* [ ] CoR14 - Tuning / Optimasi Query - OPTIONAL
* [ ] CoR15 - Sonarqube Scan - **MANDATORY**
* [ ] CoR16 - OWASP Scan - OPTIONAL

## Additional Remark for COR1
