# Attendance Library Version 1.2.0

Library ini berfungsi untuk memproses absensi employee.

## Dependensi


* Employee v2.0.29
* Notification v1.7.15
* Calendar v1.1.3
* Approvalv1.0.36

## Fitur

1. User dapat melakukan pencatatan absensi sesuai jadwal yang telah ditentukan
2. User dapat melakukan request untuk keperluan absensi, lembur dan perubahan jadwal
3. Dapat mendefinisikan detail shift
4. Dapat memappingkan object/group pada shift
4. User akan mendapatkan notifikasi jika ada request yang diajukan kepada user tersebut
4. Jika modul Fingerprint terinstal maka data absensi dapat diproses melalui data log fingerprint menjadi data absensi

## Instalasi (Library Development)

1. Clone dari git ke direktori development library yang diinginkan.
2. Jalankan file setup pada direktori /sample/vendor (.bat untuk Windows, .sh untuk Linux/Mac) menggunakan priviledge Administrator.
3. Lakukan tes pada webserver dengan mengakses URL /sample/public.

## Instalasi (NAF)

1. Lakukan login pada aplikasi DOOR
2. Buka menu manage module
3. Aktifkan developer mode
4. Pilih modul attendance (pastikan version library attendance yang digunakan sesuai dengan versi release ini)
5. Kemudian klik button Update to Branch/Install Latest

## Specifications

1. Versi PHP: 7.1
2. Versi library: 1.2.0
5. NAF: Version 2.6.9

## Referensi

1. [Changelog](https://git.neuron.id/library/attendance/blob/master/CHANGELOG.md)
2. [Cara Penggunaan](https://git.neuron.id/library/attendance/wikis/home)

