<?php
namespace Neuron\Attendance\Attendance;

class References {
		
	protected $_storage;

	public function __construct(\Neuron\Attendance\Attendance\Reference\Storage\Skeleton $storage) {
			
		$this->_storage = $storage;
	}

	public function listReference($page = 1, $rowCount = 10, $filter = array()) {
		$result = $this->_storage->listReference($page, $rowCount, $filter);
		$arrref = array();
		if ($result) {
			foreach ($result as $data) {
				$data['reference_id'] = intval($data['reference_id']);
				array_push($arrref, $data);
			}
		}

		$total = $this->_storage->getTotalRows();
		
		$retval = array(
			'current' => $page,
			'rowCount' => $rowCount,
			'rows' => $arrref,
			'total' => $total
		);

		return $retval;
	}

}