<?php
namespace Neuron\Attendance\Controller\Widget\Employee;

use Neuron\Attendance\Controller\Controller;

class Manage extends Controller{
    protected function getView($name, $variables = array()) {

		/* default layout & view prefix */
		$layout = 'neuron/employee/layout/form';
		$prefix = 'neuron/attendance/employee';

		/* libraries */
		if(! class_exists('Neuron\Application\Framework\Entity')) {
			$this->using(
				'bootstrap-4',
				null,
				array(
					'https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js',
					'https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js',
					'https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css',
					'https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js'
				)
			);
		}

		/* get layout n view prefix from config */
		$config = $this->getConfig();
		if (isset($config['employee'])) {
			$config = $config['employee'];
			$layout = isset($config['formlayout']) ? $config['formlayout'] : $layout;
			$prefix = isset($config['viewprefix']) ? $config['viewprefix'] : $prefix;
		}

		/* set layout and view */
		$this->layout($layout);
		$view = new \Zend\View\Model\ViewModel($variables);
		$view->setTemplate($prefix . '/' . $name);

        // $view->setVariables(array(
        //     'sessmgt' => $this->getSession(),
        // ));

		return $view;
	}

    public function modalTimetableAction(){
        return $this->getView('modal-timetable');
    }
}