<?php
namespace Neuron\Attendance\Controller\Widget;
use Neuron\Access\Session;

class Wdashboard extends \Neuron\Attendance\Controller\Controller {

	public function onDispatch(\Zend\Mvc\MvcEvent $e) {

		$d = parent::onDispatch($e);  //INI HARUS DIPANGGIL!!!!
		$this->layout()->setTemplate('neuron/attendance/layout/plain');

		return $d;
	}

	protected function getViewPartial($name, $variables = array()) {
		$prefix = 'neuron/attendance/widget/dashboard';

		/* libraries */
		$this->using('popper',11);
		$this->using('fontawesome', 12);
		$this->using('nicescroll', 13);
		$this->using('toast', 14);

		$this->using('datatable', 15);
		$this->using('air-datepicker', 16);
		$this->using('jquery.validate', 17);
		$this->using('moment', 18);
		$this->using('chart.js', 19);

        $config = $this->getConfig();
        
		if (isset($config['attendance'])) {
			$config = $config['attendance'];
            $prefix = isset($config['viewprefix']) ? $config['viewprefix'] : $prefix;
		}

		$view = new \Zend\View\Model\ViewModel($variables);
        $view->setTemplate($prefix . '/' . strtolower($name)); // path to phtml file under view folder

		return $view;
	}
	
	public function WidgetOvertimeAction(){
        return $this->getViewPartial('widget-overtime', get_defined_vars());
	}
    
}