<?php
namespace Neuron\Attendance\Entity;
class Storage { 
	const LOADBY_ID = 0;
	
	const LIST_ALL  = 0;
	const LISTBY_PAGE = 1;
	const LISTBY_SOURCE = 2;
	const LISTBY_EARLY = 9;

	const LISTBY_PARAM = 1;
    const LISTBY_KEYWORD = 2;

	 
	public static function factory(\Zend\Db\Adapter\Adapter $adapter, $config = array()) {
		if ($adapter->getDriver() instanceof \Zend\Db\Adapter\Driver\Oci8\Oci8) {
				return new Storage\Oci8($adapter, $config);
		} else {
				return new Storage\Mysql($adapter, $config);
		}
	}
}