<?php

namespace Neuron\Attendance\Request\Setting\Detail;

class Storage {
    CONST DELETEBY_ID = 0;
    CONST DELETEBY_SETTING_ID = 1;

    CONST LIST_ALL  = 0;
    CONST LISTBY_PAGE = 1;
    CONST LISTBY_SETTING_ID = 2;

    const TYPE_FREE         = 1;
    CONST TYPE_SPECIFIC     = 2;

    public static function factory(\Zend\Db\Adapter\Adapter $adapter, $config = array()) {
        if ($adapter->getDriver() instanceof \Zend\Db\Adapter\Driver\Oci8\Oci8) {
            return new Storage\Oci8($adapter, $config);
        } else {
            return new Storage\Mysql($adapter, $config);
        }
    }
}
