<?php
namespace Neuron\Attendance\Request\Setting;

use Neuron\Generic\Entity\Map;

class Type extends \Neuron\Generic\Entity\Mapper {
    
    protected $_storage;

    public function __construct(\Neuron\Attendance\Request\Setting\Type\Storage\Skeleton $storage, $data = array()) {

        $this->_storage = $storage;

        parent::__construct(
            $data, 
            array(
                new Map('approval_type_id'),
                new Map('name'),
                new Map('description'),
            ),
            parent::CASE_INSENSITIVE
        );
    }
}
