<?php
namespace Neuron\Attendance\Request;

use Neuron\Attendance\Request\Setting;
use Neuron\Generic\Result;
class Settings extends \Neuron\Generic\Set{
    protected $_storage;
    
    public function __construct(Setting\Storage\Skeleton $storage){
        $this->_storage     = $storage;
    }

    public function load($id=null,$mode = Setting\Storage::LIST_ALL,$params = array()){
        $result     = new Result;
        $data   = $this->_storage->loadList($id,$mode,$params);
        if($data){
            $result->data   = $data;
        }else{
            $result = new Result(0,500,'Failed to load data');
        }
        return $result;
    }

}
