<?php
namespace Neuron\Attendance\Shift;

class Storage {  
	const LIST_ALL = 0;
	const LISTBY_DATE = 1;
	const LISTBY_PAGE = 2;
	const LISTBY_ID = 3;
	const LISTBY_DAYNO 	= 4;

	CONST LOADBY_ID = 0;
	CONST LOADBY_TIMETABLE_ID =1;
	const LOADBY_BETWEENDATE_REF_ID_DAYNO = 2;
	const LOADBY_BETWEENDATE = 3;
	
	
	
	public static function factory(\Zend\Db\Adapter\Adapter $adapter, $config = array()) {
		if ($adapter->getDriver() instanceof \Zend\Db\Adapter\Driver\Oci8\Oci8) {
        	return new Storage\Oci8($adapter, $config);
    	} else {
        	return new Storage\Mysql($adapter, $config);
    	}
	}
  
}