<?php
namespace Neuron\Attendance\Timetable\Changeshift;

class Storage {

    const LIST_ALL = 0;
    const LISTBY_PAGE =1;
    const LISTBY_ID = 2;
    const LISTBY_DATE = 3;

    const LOADBY_ID = 0;
    const LOADBY_REC_ID = 1;
    const LOADBY_REFID_CHANGEDATE = 2;

    const DELETEBY_ID = 0;

    public static function factory(\Zend\Db\Adapter\Adapter $adapter, $config = array()) {

        /* Oracle? Buat storage Oci8, selain itu pakai MySQL */
        if ($adapter->getDriver() instanceof \Zend\Db\Adapter\Driver\Oci8\Oci8) {
            return new Storage\Oci8($adapter, $config);
        } else {
            return new Storage\Mysql($adapter, $config);
        }
    }
}
