<?php
namespace Neuron\Attendance\Timetable\Group\Timetable;

class Storage {

    const LIST_ALL = 0;
    const LISTBY_GROUPID = 1;
    const LISTBY_PAGE = 2;
    const LISTBY_ID = 3;
    
    const DELETEBY_ID = 0;

    public static function factory(\Zend\Db\Adapter\Adapter $adapter, $config = array()) {

        /* Oracle? Buat storage Oci8, selain itu pakai MySQL */
        if ($adapter->getDriver() instanceof \Zend\Db\Adapter\Driver\Oci8\Oci8) {
            return new Storage\Oci8($adapter, $config);
        } else {
            return new Storage\Mysql($adapter, $config);
        }
    }
}
