<?php
namespace Neuron\Attendance\Timetable\Objects;

class Storage {

    const LIST_ALL = 0;
    const LISTBY_PAGE =1;
    const LISTBY_ID = 2;
    const LISTBY_DATE = 3;
    const LISTBY_PARENTID = 4;
    const LISTBY_REFCODE = 5;
    const LISTBY_TIMETABLEID = 6;
    const LISTBY_REF_ID =7;
    
    const GROUPBY_NONE = 0;
    const GROUPBY_TIMETABLEID = 1;

    const LOADBY_ID = 0;
    const LOADBY_BETWEENDATE = 1;
    const LOADBY_TIMETABLE_ID = 2;
    CONST LOADBY_TIMETABLE_ID_REF_ID = 3;
    CONST LOADBY_BETWEENDATE_REF_ID = 4;
    const LOADBY_REFID_DAY_NO = 5;
    



    const DELETEBY_ID = 0;

    public static function factory(\Zend\Db\Adapter\Adapter $adapter, $config = array()) {

        /* Oracle? Buat storage Oci8, selain itu pakai MySQL */
        if ($adapter->getDriver() instanceof \Zend\Db\Adapter\Driver\Oci8\Oci8) {
            return new Storage\Oci8($adapter, $config);
        } else {
            return new Storage\Mysql($adapter, $config);
        }
    }
}
