<?php
namespace Neuron\Attendance\Timetable\Objects\Storage;

use Neuron\Attendance\Timetable\ObjectTimetable;
use Neuron\Attendance\Timetable\Objects;

interface Skeleton {
    
    public function load($id, $mode = Objects\Storage::LOADBY_ID);
    
    public function save(ObjectTimetable $object, $update = false);

    public function listData($ids, $mode = Objects\Storage::LIST_ALL,$params = array());

    public function loadList($id = null, $mode = Objects\Storage::LIST_ALL,$params = array(),$group = Objects\Storage::GROUPBY_NONE);
    
}
