<?php

namespace Neuron\Attendance\Timetable;

class Storage {  
	const LIST_ALL        = 0;
	const LISTBY_ID       = 1;
	const LISTBY_PARENT   = 2;
  const LISTBY_PAGE     = 3;

  const LOADBY_ID           = 1;
  const LOADBY_NAME         = 2;
  const LOADBY_CODE         = 3;
  const LOADBY_PARENT_DAYNO = 4;
  
  public static function factory(\Zend\Db\Adapter\Adapter $adapter, $config = array()) {
    
    if ($adapter->getDriver() instanceof \Zend\Db\Adapter\Driver\Oci8\Oci8) {
        return new Storage\Oci8($adapter, $config);
    } else {
        return new Storage\Mysql($adapter, $config);
    }
  }
  
}