<?php

namespace Neuron\Attendance\Timetable\Upload\Detail;

  
class Storage {  
    const LISTBY_PAGE = 0;
    const LIST_ALL = 1;
    const LOADBY_ID = 2;
    const LISTBY_PARENT = 3;
    const LISTBY_TYPE = 4;
    const LISTBY_FILE = 5;

    const DELETEBY_ID = 1;
    const DELETEBY_PAYROLL = 2;


    public static function factory(\Zend\Db\Adapter\Adapter $adapter, $config = array()) {
    
        if ($adapter->getDriver() instanceof \Zend\Db\Adapter\Driver\Oci8\Oci8) {
            return new Storage\Oci8($adapter, $config);
        } else {
            return new Storage\Mysql($adapter, $config);
        }
    }
  
}