<?php
namespace Neuron\Attendance\Traits;

use Neuron\Employee\Traits\Model;

trait Mapper{
    public function getMapper(){
        $result         = new \Neuron\Generic\Result;
        $naf            = \Neuron\Application\Framework\Entity::get();
        $moduleConfig   = $naf->base()->getModuleConfig();
        $naf            = \Neuron\Application\Framework\Entity::get(new \Neuron\Attendance\Controller\Controller($moduleConfig));
        $session        = $naf->session();
        $sessionOwner   = intval($session->owner());
        $employeeMap    = new \Neuron\Employee\Map(\Neuron\Employee\Map\Storage::factory($naf->getDb(), $moduleConfig));
        $employeeMap->load($sessionOwner,\Neuron\Employee\Map\Storage::LOADBY_USER_ID);
        $result->data = [
            'map'       =>$employeeMap,
            'employee'  => $employeeMap->employee()
        ];

        return $result;
    }
}