<?php
namespace Neuron\Sample\Attendance\Controller;

use Zend\View\Model\ViewModel;

class Index extends Controller {

    public function onDispatch(\Zend\Mvc\MvcEvent $e) {

        /* global libraries, used on all views */
        $this->using('jquery', false)
            ->using('bootstrap');

        return parent::onDispatch($e);
    }

    public function indexAction() {

        $view = new ViewModel();

        /* local libraries, used on this view only */
        $this->using('font-awesome', true, false);

        /* test new person & send vars */
        $view->setVariables(array(
            'text' => 'Hello this is ' . \Neuron\Attendance\Test::hello(),
            'config' => $this->getConfig(),
        ));
        return $view;
    }

}
