<?php

namespace Neuron\Attendance\Attendance;

class Storage {  
	const LIST_ALL 						= 0;
	const LISTBY_REF_ID 				= 1;
	CONST LISTBY_REF_PERIOD 			= 2;
	CONST COUNT_HOUR 					= 3;
	CONST LISTBY_START_DATE 			= 4;
	CONST LISTBY_TYPE_REF_ID 			= 5;

	CONST LOADBY_ID 			 	= 0;
	CONST LOADBY_STARTDATE_REF_ID 	= 1;

	CONST TIME_WEEKLY 		= 0;
	CONST TIME_MONTHLY 		= 1;
	CONST TIME_YEARLY 		= 2;
	CONST TIME_TODAY 		= 3;
	CONST TIME_NONE 		= 4;
	
	public static function factory(\Zend\Db\Adapter\Adapter $adapter, $config = array()) {
		if ($adapter->getDriver() instanceof \Zend\Db\Adapter\Driver\Oci8\Oci8) {
				return new Storage\Oci8($adapter, $config);
		} else {
				return new Storage\Mysql($adapter, $config);
		}
	}
	
}