<?php
namespace Neuron\Attendance\Controller\Api;

use Neuron\Attendance\Shift;
use Neuron\Generic\Result;

class Timetable extends Controller{
    public function loadAction(){
        $result     = new Result();
        $post       = $this->getREST()->getParameters();

        $validateToken  = $this->validateToken(@$post['token'],@$post['code']);

        
        $storage    = Shift\Storage::factory($this->getDb(),$this->getConfig());
        $shift      = new Shift($storage);
        
        
        $timetable  = $shift->loadObjectTimetable(1,date('Y-m-d H:i:s'),1);
    }
}