<?php

namespace Neuron\Attendance\Detail;

  
class Storage {  
    const LISTBY_PAGE = 0;
    const LIST_ALL = 1;
    const LISTBY_TIMETABLE = 2;
    const LISTBY_ATTENDANCE_ID = 3;

    const LOADBY_ID = 1;
    const LOADBY_ATTENDANCE = 2;


    public static function factory(\Zend\Db\Adapter\Adapter $adapter, $config = array()) {
    
        if ($adapter->getDriver() instanceof \Zend\Db\Adapter\Driver\Oci8\Oci8) {
            return new Storage\Oci8($adapter, $config);
        } else {
            return new Storage\Mysql($adapter, $config);
        }
    }
  
}