<?php

namespace Neuron\Attendance\Request\Approval;

class Storage {  
	const LIST_ALL 	= 0;
	CONST LISTBY_REQUEST_ID 		= 1;
	CONST LISTBY_REF_ID 			= 2;
	CONST LISTBY_REF_ID_STATUS_ID 	= 3;

	CONST LOADBY_ID = 0;
	
	public static function factory(\Zend\Db\Adapter\Adapter $adapter, $config = array()) {
		if ($adapter->getDriver() instanceof \Zend\Db\Adapter\Driver\Oci8\Oci8) {
			return new Storage\Oci8($adapter, $config);
		} else {
			return new Storage\Mysql($adapter, $config);
		}
	}
  
}