<?php
namespace Neuron\Attendance\Request;

use Neuron\Generic\Result;
use Neuron\Generic\Entity\Map;
use Neuron\Generic\Entity\Mapper;
/**
 * 
 */
class Status extends Mapper{
	protected $_storage;

	function __construct(Status\Storage\Skeleton $storage,$data = array()){
		$this->_storage = $storage;
		parent::__construct(
			$data,
			array(
				new Map('status_id'),
				new Map('name'),
			),
			parent::CASE_INSENSITIVE
		);
	}
}