<?php

namespace Neuron\Attendance\Request\Status;

class Storage {  
	const LIST_ALL 	= 0;
	
	CONST LOADBY_ID = 0;
	
	public static function factory(\Zend\Db\Adapter\Adapter $adapter, $config = array()) {
		if ($adapter->getDriver() instanceof \Zend\Db\Adapter\Driver\Oci8\Oci8) {
			return new Storage\Oci8($adapter, $config);
		} else {
			return new Storage\Mysql($adapter, $config);
		}
	}
  
}