<?php

namespace Neuron\Attendance\Request;

class Storage {  
	const LIST_ALL = 0;
	const LISTBY_REFID = 1;
	const LISTBY_REFID_PERIOD = 2;
	CONST LISTBY_PAGE = 3;

	CONST LOADBY_ID = 0;

	CONST TIME_WEEKLY 	= 0;
	CONST TIME_MONTHLY 	= 1;
	CONST TIME_YEARLY 	= 2;
	CONST TIME_NONE 	= 3;
	public static function factory(\Zend\Db\Adapter\Adapter $adapter, $config = array()) {
		if ($adapter->getDriver() instanceof \Zend\Db\Adapter\Driver\Oci8\Oci8) {
			return new Storage\Oci8($adapter, $config);
		} else {
			return new Storage\Mysql($adapter, $config);
		}
	}
  
}