<?php
    return [
	
		"CREATE TABLE `attd_upload_shift` (
            `upload_file_shift_id` int(11) NOT NULL AUTO_INCREMENT,
            `file_name` varchar(255) NOT NULL,
            `file_path` varchar(255) NOT NULL,
            `total_data` int(11) DEFAULT NULL,
            `total_success` int(11) DEFAULT NULL,
            `total_failed` int(11) DEFAULT NULL,
            `status` varchar(45) NOT NULL COMMENT '0: Inisialisasi, 1: On progress, 2: Success, 3: Error',
            `upload_dtm` datetime NOT NULL,
            `upload_by` varchar(32) NOT NULL,
            PRIMARY KEY (`upload_file_shift_id`)
        ) ENGINE=InnoDB AUTO_INCREMENT=935 DEFAULT CHARSET=latin1",
        
        "CREATE TABLE `attd_upload_shift_detail` (
            `detail_id` int(11) NOT NULL AUTO_INCREMENT,
            `upload_file_shift_id` int(11) NOT NULL,
            `employee_code` varchar(45) NOT NULL,
            `name` varchar(100) NOT NULL,
            `timetable_code` varchar(45) DEFAULT NULL,
            `date` date DEFAULT NULL,
            `status` varchar(45) DEFAULT NULL COMMENT '0: Inisialisasi, 1: On progress, 2: Success, 3: Error (Tidak Ada Shift), 4: Error (Sudah ada absensi pada shift existing)',
            `schedule_start` timestamp NULL DEFAULT NULL,
            `schedule_end` timestamp NULL DEFAULT NULL,
            PRIMARY KEY (`detail_id`)
        ) ENGINE=InnoDB AUTO_INCREMENT=541329 DEFAULT CHARSET=latin1"
	
	];
	
