<?php
    namespace Neuron\Attendance;

    class View {
        function displayModal(){
            //get naf + resolver
            $naf = \Neuron\Application\Framework\Entity::get();
            $resolver = $naf->getController()
                ->getEvent()
                ->getApplication()
                ->getServiceManager()
                ->get('Zend\View\Resolver\TemplateMapResolver');
    
            //tambah mapping view ke resolver
            $viewTemplate = 'neuron/attendance/modal/form-approve';
            $resolver->add($viewTemplate,   __DIR__ . '/View/Form/modal-approval.phtml');
    
            //bikin view baru + set template sesuai resolver
            $view = new \Zend\View\Model\ViewModel();
            $view->setTemplate($viewTemplate);
    
            //set variable ke view
            $view->setVariables(get_defined_vars());
    
            //render view
            //render view
            $renderer = $naf->getController()
            ->getEvent()
            ->getApplication()
            ->getServiceManager()
            ->get('Zend\View\Renderer\PhpRenderer');
            $renderer->setResolver($resolver);
            echo $renderer->render($view);
        }

        function requestDetail(){
            //get naf + resolver
            $naf = \Neuron\Application\Framework\Entity::get();
            $resolver = $naf->getController()
                ->getEvent()
                ->getApplication()
                ->getServiceManager()
                ->get('Zend\View\Resolver\TemplateMapResolver');
    
            //tambah mapping view ke resolver
            $viewTemplate = 'neuron/attendance/modal/form-detail-erquest';
            $resolver->add($viewTemplate,   __DIR__ . '/View/Form/form-detail-request.phtml');
    
            //bikin view baru + set template sesuai resolver
            $view = new \Zend\View\Model\ViewModel();
            $view->setTemplate($viewTemplate);
    
            //set variable ke view
            $view->setVariables(get_defined_vars());
    
            //render view
            //render view
            $renderer = $naf->getController()
            ->getEvent()
            ->getApplication()
            ->getServiceManager()
            ->get('Zend\View\Renderer\PhpRenderer');
            $renderer->setResolver($resolver);
            echo $renderer->render($view);
        }
    }
?>
   